Skip to main content
POST
Get Calls

Authorizations

Authorization
string
header
required

Specify the authorization token in the form AccountId:SecretKey, or an OAuth 2.0 access token.

For more information, check out the Authorization Guide and the OAuth 2.0 Guide.

Path Parameters

pearlId
string
required

Body

fromDate
string<date-time>
required

The start date for filtering the search results.

toDate
string<date-time>
required

The end date for filtering the search results.

skip
integer<int32>

Number of entries to skip for pagination.

limit
integer<int32>

Limit on the number of entries to return.

sortProp
string | null

Property name to sort by.

isAscending
boolean

Whether the sort order is ascending.

tags
string[] | null

List of tags to filter by.

statuses
integer<int32>[] | null

List of Status to filter by.

The outcome of the conversation during the call.

To determine the definition of 'Success' or 'Not Successful,' please refer to the Create a Pearl page at step 4.

10 - NotAnswered

35 - InQueue

40 - OnGoing

70 - VoiceMailLeft

100 - Success

110 - NotSuccessful

130 - Completed

150 - Unreachable

220 - Blacklisted

300 - QueueAbandon

500 - Error

searchInput
string | null

Text to filter by.

Response

Calls within the specified date range for inbound.

count
integer<int64>

The total number of items matching the search criteria.

results
object[] | null

The list of results for the current page, based on the search criteria.